/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for AbnormalTextureFindingOrFeature
 */
public enum EnumCV_AbnormalTextureFindingOrFeature 
{
	//CID 6106 Abnormal Texture Finding or Feature
	NODULAR_PATTERN_112067("112067"),
	RETICULONODULAR_PATTERN_112065("112065"),
	ABNORMAL_INTERSTITIAL_PATTERN_112004("112004"),
	GRANULAR_PATTERN_112128("112128"),
	HONEYCOMB_PATTERN_112106("112106"),
	MILIARY_PATTERN_112129("112129"),
	MOSAIC_PATTERN_112130("112130"),
	RETICULAR_PATTERN_112113("112113"),
	SMALL_IRREGULAR_OPACITIES_112125("112125");

	private String value;
	
	EnumCV_AbnormalTextureFindingOrFeature(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
